FreeMat

- Main Page
- Related Pages

vtkQtLabelRenderStrategy

Section: Visualization Toolkit Rendering Classes

# Usage

This class uses Qt to render labels and compute sizes. The labels are rendered to a QImage, then EndFrame() converts that image to a vtkImageData and textures the image onto a quad spanning the render area.

To create an instance of class vtkQtLabelRenderStrategy, simply invoke its constructor as follows

      obj = vtkQtLabelRenderStrategy

# Methods

The class vtkQtLabelRenderStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkQtLabelRenderStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkQtLabelRenderStrategy = obj.NewInstance ()`
- `vtkQtLabelRenderStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.StartFrame ()` - Start a rendering frame. Renderer must be set.
- `obj.EndFrame ()` - End a rendering frame.
- `obj.ReleaseGraphicsResources (vtkWindow window)` - Release any graphics resources that are being consumed by this strategy. The parameter window could be used to determine which graphic resources to release.